#include "integral.h"


//  : 4 / (1 + x^2).
float func(float x)
{
    return 4.0f / (1.0f + x * x);
}


/*    ,
a -   ,
n -   ( ),
h -  .
*/
float integral(float a, int n, float h)
{
    float result = 0.0f;

    for (int i = 0; i < n; ++i)
        result += func(a + ((float)i + 0.5f) * h);
    result *= h;

    return result;
}
